segChrom {tilingArray} | R Documentation

## Fit a piecewise constant curve to along chromosome data (wrapper function)

### Description

Wrapper around the `segment` function for each strand of one or more chromosomes specified by the user. It does some typical preprocessing and I/O.

### Usage

    segChrom(y, probeAnno, chr=1:17, strands=c("+", "-"),
      nrBasesPerSegment = 1500, maxk = 3000, step = 7, confint = FALSE,
      confintLevel = 0.95, useLocks=TRUE, verbose=TRUE, savedir)

### Arguments

`y` | ExpressionSet or matrix containing the data to be segmented.
`probeAnno` | environment with probe annotations. See package `davidTiling` for an example (?probeAnno).
`chr` | integer scalar or vector specifying which chromosome(s) to segment.
`strands` | character scalar or vector specifying which strands to segment.
`nrBasesPerSegment` | integer (length 1): the parameter `maxseg` of the `segment` function is calculated as the length of the chromosome divided by `nrBasesPerSegment`. Thus, it determines the average segment length in the finest segmentation.
`maxk` | passed on to the function `segment`.
`step` | integer scalar, indicating the minimum distance between consecutive probes. In cases when probes are offset by less than `step` bases, the probes are sampled to achieve the desired spacing.
`confint` | logical scalar. If `TRUE`, confidence intervals for each change-point are calculated.
`confintLevel` | numeric scalar between 0 and 1 indicating the probability level for the confidence intervals that are calculated for each change-point.
`useLocks` | logical scalar. Should a file locking mechanism be used that allows for a simple-minded parallelization of this function.
`verbose` | logical scalar. Should we be chatty about our progress?
`savedir` | character scalar. If specified, resulting `segmentation` objects are saved (with `save`) to this directory.

### Details

This function is a wrapper for the `segment` function. Refer to its help page for further details.

### Value

An environment containing S4 objects of class `"segmentation"` called "1.+", "1.-", etc. (depending on the values in `chr` and `strands`), where "+" and "-" indicate the strand and the preceding number refers to the chromosome. If `savedir` is specified, there is also the side-effect that a series of files "1.+.rda", "1.-.rda", etc. is saved in that directory.

### Author(s)

Matt Ritchie <ritchie@ebi.ac.uk> and Wolfgang Huber <huber@ebi.ac.uk>

### Examples

    ## Not run:
      library("davidTiling")
      data("davidTiling")
      data("probeAnno")
      isDNA = seq(1:3)
      yn = normalizeByReference(davidTiling[,-isDNA],davidTiling[,isDNA], probeAnno=probeAnno)
      seg = segChrom(yn, probeAnno) ## this will take a while to run!
    ## End(Not run)

[Package tilingArray version 1.22.0 Index]